// StatvarSet.cpp : implementation file
//

#include "stdafx.h"
//#include "lp.h"
#include "StatvarSet.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CStatvarSet

IMPLEMENT_DYNAMIC(CStatvarSet, CRecordset)

CStatvarSet::CStatvarSet(CDatabase* pdb)
	: CRecordset(pdb)
{
	ClearFields();
	m_nFields = 5;
	m_nParams=1;
	m_nDefaultType = CRecordset::dynaset;
}


CString CStatvarSet::GetDefaultConnect()
{
	return _T("ODBC;DSN=Lnedatabas i Access");
}

CString CStatvarSet::GetDefaultSQL()
{
	return _T("[LP_STATVARIABLER]");
}

void CStatvarSet::DoFieldExchange(CFieldExchange* pFX)
{
	pFX->SetFieldType(CFieldExchange::outputColumn);
	RFX_Int(pFX, _T("Nr"), m_Nr);
	RFX_Text(pFX, _T("Namn"), m_Namn);
	RFX_Int(pFX, _T("Enhet"), m_Enhet);
	RFX_Int(pFX, _T("Nollas"), m_Nollas);
	RFX_Int(pFX, _T("Per_kommun"), m_Per_kommun);
	pFX->SetFieldType(CFieldExchange::param);
	RFX_Int(pFX, _T("Nrfilter"), m_Nrfilter);
}

/////////////////////////////////////////////////////////////////////////////
// CStatvarSet diagnostics

#ifdef _DEBUG
void CStatvarSet::AssertValid() const
{
	CRecordset::AssertValid();
}

void CStatvarSet::Dump(CDumpContext& dc) const
{
	CRecordset::Dump(dc);
}
#endif //_DEBUG

void CStatvarSet::ClearFields()
{
	m_Nr=0;
	m_Namn=_T("");
	m_Enhet=0;
	m_Nollas=0;
	m_Per_kommun=0;
}

void CStatvarSet::KonverteraPost()
{
}
